Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FileTypeChooser Class Reference
[Parsers]

## Detailed Description

Stores regular expressions of filename and firstline elements and helps to detect file type.

## Public Member Functions
| FileTypeChooser (int type, double prior, CRegExp *re)
| Creates choose entry.
| ~FileTypeChooser ()
| Default destructor.
bool | isFileName () const
| Returns type of chooser.
bool | isFileContent () const
| Returns type of chooser.
double | getPrior () const
| Returns chooser priority.
CRegExp * | getRE () const
| Returns associated regular expression.

## Constructor & Destructor Documentation

FileTypeChooser::FileTypeChooser | ( | int | type,
|  | double | prior,
|  | CRegExp * | re
| ) | `[inline]`

  | Creates choose entry. Parameters:
  | type | If 0 - filename RE, if 1 - firstline RE
  | prior | Priority of this rule
  | re | Associated regular expression

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.